<div [formGroup]="form">
  <h3>{{ "Economy.Currencies.AmountOfCurrency" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Economy.Market.pleaseInputNumber" | translate }}'>
    <nz-input-group>
      <nz-input-number style="width: 100%" formControlName="amount" [nzMin]="2" nz-input [required]></nz-input-number>
    </nz-input-group>
  </nz-form-control>
  <h4 *ngIf="form.get('amount').value">
    {{ "Economy.Currencies.CostOfThis" | translate }}
    {{ form.get('amount').value * 0.005 }}
    {{ "Economy.Currencies.Gold" | translate }}
  </h4>
</div>